﻿@model MaritalInfo
<form asp-action="savemaritalinfo" class="form fv-plugins-bootstrap fv-plugins-framework" id="kt_maritalinfo_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteMaritalStatus">
    <div class="d-flex justify-content-between mb-5">
        <div>
            <h4 class="text-dark font-weight-bold mt-2 mb-5 mr-5">Please tell us about your marriage</h4>
        </div>
        <div>
            <button class="btn btn-secondary font-weight-bold px-6 py-2" id="btn-save-exit">Save & Exit</button>
        </div>
    </div>
    <div class="wizard-content-height">
        <div class="row">
            <div class="col-xl-4 m d-none">
                <div class="form-group">
                    <label asp-for="DateOfCurrentMarriage"></label>
                    <div class="input-group date datepicker-control">
                        <input type="text" asp-for="DateOfCurrentMarriage" asp-format="{0:MM'/'dd'/'yyyy}" class="form-control form-control-lg datemask">
                        <div class="input-group-append">
                            <span class="input-group-text">
                                <i class="far fa-calendar-alt"></i>
                            </span>
                        </div>
                    </div>
                    <span asp-validation-for="DateOfCurrentMarriage" class="text-danger"></span>
                </div>
            </div>
        </div>
        <div class="row m d-none spouseInfo">
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="SpouseFirstName"></label>
                    <input asp-for="SpouseFirstName" class="form-control form-control-lg capitalize">
                    <span asp-validation-for="SpouseFirstName" class="text-danger"></span>
                </div>
            </div>
            <div class="col-xl-4 ">
                <div class="form-group">
                    <label asp-for="SpouseMiddleInitial"></label>
                    <input asp-for="SpouseMiddleInitial" class="form-control form-control-lg capitalize">
                </div>
            </div>
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="SpouseLastName"></label>
                    <input asp-for="SpouseLastName" class="form-control form-control-lg capitalize">
                    <span asp-validation-for="SpouseLastName" class="text-danger"></span>
                </div>
            </div>
        </div>
        <div class="row d-none" id="XSpouse">
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="XSpouseFirstName"></label>
                    <input asp-for="XSpouseFirstName" class="form-control form-control-lg capitalize">
                    <span asp-validation-for="XSpouseFirstName" class="text-danger"></span>
                </div>
            </div>
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="XSpouseMiddleInitial"></label>
                    <input asp-for="XSpouseMiddleInitial" class="form-control form-control-lg capitalize">
                </div>
            </div>
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="XSpouseLastName"></label>
                    <input asp-for="XSpouseLastName" class="form-control form-control-lg capitalize">
                    <span asp-validation-for="XSpouseLastName" class="text-danger"></span>
                </div>
            </div>
        </div>
        <div class="form-group m d-none spouseInfo">
            <div class="d-flex">
                <div class="align-self-center mr-2">
                    <span class="switch switch-icon switch-sm switch-custom">
                        <label>
                            <input type="checkbox" asp-for="Prenup">
                            <span></span>
                        </label>
                    </span>
                </div>
                <label class="col-form-label switch-label" asp-for="Prenup">
                    We have a prenuptial agreement in place.
                </label>
            </div>
        </div>
        <div class="form-group m d-none spouseInfo">
            <div class="d-flex">
                <div class="align-self-center mr-2">
                    <span class="switch switch-icon switch-sm switch-custom">
                        <label>
                            <input type="checkbox" asp-for="CareForSurvivingSpouse">
                            <span></span>
                        </label>
                    </span>
                </div>
                <label class="col-form-label switch-label" asp-for="CareForSurvivingSpouse">
                    In the event I predecease my spouse/partner, it is important to me to financially provide for him/her during their lifetime.
                </label>
            </div>
        </div>
    </div>
    <partial name="_WizardFooter" />
</form>
<script src="~/js/page/marital-info.js" asp-append-version="true"></script>
<script>
    showHide();
    var date = $("#DateOfCurrentMarriage").val();
    showHideSpouseInfo(date);
</script>